Bug 963486 - Perl version and dependences
Perl version and dependences
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: polymake (Show other bugs)
18
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Jerry James
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-15 17:40 EDT by artal
Modified: 2013-05-25 08:08 EDT (History)
1 user (show)

See Also:
Fixed In Version: polymake-2.12-6.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-24 16:43:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description artal 2013-05-15 17:40:27 EDT
Description of problem:

I installed the package polymake and I encountered two problems:

After typing polymake in the command line, I got an error message about a non-found perl-module;  the solution is to move
/usr/lib64/polymake/perlx/5.16.2 to /usr/lib64/polymake/perlx/5.16.3 to match with the actual version or perl.

After this change, the program needs the package perl-Term-ReadLine-Gnu which was not installed and was not a dependence. After installing it, everything is OK. 

Version-Release number of selected component (if applicable):
2.12-5

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jerry James 2013-05-15 17:55:39 EDT
Thanks for the bug report.  The solution is to (a) Require the exact version of perl used to build so I get a broken dependency report when perl is updated, and (b) explicitly Require perl(Term::ReadLine::Gnu).  I'm surprised that dependency is not autogenerated, but I'll deal with it. :-)

New builds coming soon.
Comment 2 Fedora Update System 2013-05-15 21:02:44 EDT
polymake-2.12-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/polymake-2.12-6.fc19
Comment 3 Fedora Update System 2013-05-15 21:02:57 EDT
polymake-2.12-6.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/polymake-2.12-6.fc18
Comment 4 Fedora Update System 2013-05-16 13:23:29 EDT
Package polymake-2.12-6.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing polymake-2.12-6.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-8367/polymake-2.12-6.fc19
then log in and leave karma (feedback).
Comment 5 artal 2013-05-17 05:14:03 EDT
It works in Fedora 18. Thanks!
Comment 6 Fedora Update System 2013-05-24 16:43:51 EDT
polymake-2.12-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-05-25 08:08:30 EDT
polymake-2.12-6.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.